using System;
using System.Collections.Generic;
using System.Security.Authentication.ExtendedProtection;

namespace yes1
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int brojacJednakih = 0;

            string[] s = Console.ReadLine().Split();
            string[] s1 = Console.ReadLine().Split();

            List<int> spoiled = new List<int>();
            List<int> poluVreme = new List<int>();

            for(int i = 0; i < 2; i++)
            {
                spoiled.Add(int.Parse(s[i]));
                poluVreme.Add(int.Parse(s1[i]));
            }

            for(int i = 0; i < 2; i++)
            {
                if (spoiled[0] == poluVreme[0] && spoiled[1] == poluVreme[1])
                {
                    Console.WriteLine("nijedan"); break;
                }
                else
                {
                    if (spoiled[0] != poluVreme[0] && spoiled[1] == poluVreme[1])
                    {
                        Console.WriteLine("prvi"); break;
                    }
                    else if (spoiled[0] == poluVreme[0] && spoiled[1] != poluVreme[1])
                    {
                        Console.WriteLine("drugi"); break;
                    }
                    else if (spoiled[0] != poluVreme[0] && spoiled[1] != poluVreme[1])
                    {
                        Console.WriteLine("?"); break;
                    }
                }
            }
        }
    }
}